Bug 171900 - CVE-2005-2975 Multiple XPM processing issues (CVE-2005-2976)
Summary: CVE-2005-2975 Multiple XPM processing issues (CVE-2005-2976)
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdk-pixbuf (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Matthias Clasen
QA Contact: Brian Brock
URL:
Whiteboard: reported=20051027,embargo=20051115,im...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-27 16:49 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2005-810
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 14:28:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the integer overflow (1.60 KB, patch)
2005-10-27 16:50 UTC, Josh Bressers
no flags Details | Diff
Fix for the large color DoS (504 bytes, patch)
2005-10-27 16:51 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:810 normal SHIPPED_LIVE Important: gdk-pixbuf security update 2005-11-15 05:00:00 UTC

Description Josh Bressers 2005-10-27 16:49:29 UTC
These issues were reported by Ludwig Nussel of Suse.

When gdk-pixbuf processes a bad XPM file, it fails to verify that width * height
* colors doesn't cause an integer overflow.

Additionally gdk-pixbuf will enter an infinite loop if the number of colors
provided is very large, but not large enough to cause an integer overflow.

Comment 1 Josh Bressers 2005-10-27 16:50:10 UTC
These issues should also affect RHEL2.1 and RHEL3.

Comment 2 Josh Bressers 2005-10-27 16:50:53 UTC
Created attachment 120473 [details]
Patch for the integer overflow

Comment 3 Josh Bressers 2005-10-27 16:51:56 UTC
Created attachment 120474 [details]
Fix for the large color DoS

Comment 7 Josh Bressers 2005-11-15 14:10:55 UTC
Lifting embargo

Comment 8 Red Hat Bugzilla 2005-11-15 14:28:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-810.html



Note You need to log in before you can comment on or make changes to this bug.